Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Jean Louis <[email-masked]>
Date: Thu, 11 Oct 2018 16:08:45 +0200

On Thu, Oct 11, 2018 at 04:55:52PM +0300, Eli Zaretskii wrote:
> > Date: Thu, 11 Oct 2018 08:33:21 +0200
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > > We already have read-string, I think it does what you want.
> > 
> > It reads from mini buffer, it does not open
> > standard buffer where one could change modes and
> > have editing capabilities, preview, insert from
> > other files, etc.
> 
> The minibuffer is a normal buffer, so you should be able to use all
> the facilities you mention, perhaps by allowing
> recursive minibuffers.

I don't know how to use minibuffer as normal
buffer. For example I cannot enter M-x commands,
as there is error command attempted to use
minibuffer while in minibuffer.

> That said, I don't object to an extended facility like the one you
> implemented.

That would be nice.

Jean